@import "../../styles/variables";

$spot-enlighter-input-height: 2.533rem;

// Back button
.spot-enlighter-back{
    display: none;
	position: fixed;
	z-index: 4;
	left: 0.333rem;
	top: 0.6rem;
	background: none;
    border: none;
    border-radius: 100%;
	width: 2.4rem;
    height: 2.4rem;
    padding: 0.467rem;
	font-size: 1.6rem;
    color: #000;
    line-height: 0;
    // transition: background 150ms ease;
	
	zs-icon{
		color:#000;
		margin-right:15px;
	}
	.button-text{
		font-size:1.35rem;
		padding-right:5px;
		display: none;
	}
	&:hover{
		cursor: pointer;
	}
}


// Input
.spot-enlighter-container{
	width: 2.667rem;
	margin-right: 0.8rem;
	margin-left: auto;
	// transition: transform 0.5s cubic-bezier(.19,.87,.31,.91);
}


.spot-enlighter-input-container{
	display: block;
	position: relative;

	.spot-enlighter-input {
		height: $spot-enlighter-input-height;
		border: none;
		font-size: 1.1rem;
		padding: 0.4rem 0.8rem .4rem 3.7rem;
		width: 100%;
		border-radius: $border-radius;
		color:rgba(255,255,255,.5);
		background:transparent;
		// transition: color 0.25s cubic-bezier(.19,.87,.31,.91), background 0.25s cubic-bezier(.19,.87,.31,.91), box-shadow 0.25s cubic-bezier(.19,.87,.31,.91);

		&::-webkit-input-placeholder {color:$spotenlighter-placeholder-color;}
		&:-moz-placeholder { color:$spotenlighter-placeholder-color; }
		&::-moz-placeholder { color:#fff; }
		&:-ms-input-placeholder {color:$spotenlighter-placeholder-color;}

		&:active,
		&:focus{
			outline:0;
		}
	}

	.spot-enlighter-icon{
		position: absolute;
		height: 2.3rem;
		left: 1rem;
		top: 0;
		color: #fff;
		font-size: 1.6rem;
		display: flex;
	    align-items: center;
	    .spinner-small{
	    	display: none;
	    }
	}
	.popup-menu-list{
		top:100%;
	}
	.popup-menu-button-active + .popup-menu-list{
		display: block;
	}
}

.spot-enlighter-highlight{
	display: flex;

	&:before{
		content: '';
		width: 100%;
		height: 0;
		position: fixed;
		left: 0;
		background: $dashboard-bg-color;
		opacity: 0;
	}
}



// Active state
.top-bar-highlighted .spot-enlighter-highlight {

	&:before{
		opacity: 1;
		height: 100%;
	}

	.spot-enlighter-back {
	    display: block;
	    z-index:6;
	    left:6%;
	    background: #fff;
	}

	.spot-enlighter-input-container{
		width: 92%;
		position: fixed;
		z-index: 6;
		background: $dashboard-bg-color;
		.spot-enlighter-icon{
		    .spinner-small{
		    	display: block;
		    	background:none;
		    	position: absolute;
		    	left: 6px;
		    	top: 17px;
		    }
		    .spinner-google-container{
		    	position: absolute;
		        left: 1px;
		        background: #fff;
		        top: 50%;
		        margin-top: -10px;
		    }
		}
	}

	.spot-enlighter-container{
		display: block;
		width: 92%;
		box-sizing:border-box;
		margin:auto;	
		z-index: 5;
	}
	
	.spot-enlighter-input-container .spot-enlighter-icon i{
		color:#000;
		&:hover{
			background:white;
		}
	}

	.spot-enlighter-input {
		background: #fff;
		color: #333;
		box-shadow: 0 1px 3px rgba(0,0,0,0.4);
		padding-left:4.5rem;
		&::-webkit-input-placeholder {color:$spotenlighter-placeholder-color-highlighted;}
		&:-moz-placeholder { color:$spotenlighter-placeholder-color-highlighted; }
		&::-moz-placeholder { color:$spotenlighter-placeholder-color-highlighted; }
		&:-ms-input-placeholder {color:$spotenlighter-placeholder-color-highlighted;}
		&:active{
			outline:0;
		}
	}

	.spot-enlighter-object-dropdown {
		display: flex;
	}

	zs-spot-enlighter-suggestion-list {
		display: block;
	}
}


$spot-enlighter-mobile-icon-size:2.267rem;
$spot-enlighter-icon-size:2.667rem;

// Results
zs-spot-enlighter-suggestion-list{
	display: none;

	.suggestion-list-container{
		box-shadow: none;
		background: none;
		padding: 25px 0;
		padding-top: $navbar-height;
    max-height: 100vh;
	}

	.suggestion-list-group-label{
		display: flex;

		zs-icon{
			margin-left: 5px;
			color: $grey;
			font-size: 1.15rem;

			&:hover{
				color: #000;
			}
		}
	}

	.suggestion{
		padding:0;
		position: relative;
		overflow: hidden;
		display: flex;
		display: -ms-flexbox;
		align-items:center;

		&:focus{
			outline-width:0;
			background: #fff;
		}

		&:hover,
		&.suggestion-highlighted {
			background-color: #fff;
			border-radius:$border-radius;
			.btn-flat > zs-icon{
				color: $primary-color;
			}
		}
		.suggestion-text{
			padding: 1rem 0;
			line-height: 1.5;
			border-bottom:1px solid $border-color;
			flex-grow:1;
		}

		.suggestion-text-title{
			font-size:1rem;
			display: block;
		}

		.suggestion-text-title > strong {
			font-weight: 600;
			background:#FFFFB3;
		}

		.suggestion-text-description{
			color:#333;
			font-size:.9rem;

			&:hover{
				color:#333;
			}

			.mdi{
				color: #666;
			}

		}

		.suggestion-text-dossier{
			display: block;
			margin-top: 3px;
			span{
				color: $grey;
				&:hover{
					color: $primary-color;
					text-decoration: underline;
				}
			}
		}

		.btn-flat{
			&:hover,
			&:focus,
			&:active{
				background: none;
			}
			zs-icon{
				font-size: 1.3rem;
				color: $light-grey;
			}
		}

		$font-size:1rem;
		$line-height: 1.4;
		$lines-to-show: 3;

		.case-extra-information{
			display: block;
			display: -webkit-box;
			max-height: $font-size * $line-height * $lines-to-show;
			margin: 5px auto;
			font-size: $font-size;
			line-height: $line-height;
			-webkit-line-clamp: $lines-to-show;
			-webkit-box-orient: vertical;
			overflow: hidden;
			text-overflow: ellipsis;
			text-align: justify;
		}

		> zs-icon{
			margin:0 17px 0 11px;
			align-self: flex-start;
			padding-top:.6rem;
			
			.mdi {
				width:$spot-enlighter-mobile-icon-size;
				height:$spot-enlighter-mobile-icon-size;
				line-height: $spot-enlighter-mobile-icon-size;
				font-size:1.6rem;
				color:#fff;
				border-radius:100%;
				background:#333;
				text-align: center;
				&.mdi-file-find{
					background:transparent;
				}
				&.mdi-file-find,
				&.mdi-account-search,
				&.mdi-package-variant-closed {
					color:$icon-grey;
				}
				&.mdi-account{
					background:#278db1;
				}
				&.mdi-folder-outline{
					background:#f6bf26;
				}
				&.mdi-domain{
					background:#989898;
				}
				&.mdi-file{
					background:#e45648;
				}
				&.mdi-hexagon-outline{
					background: $light-blue;
				}
				&.mdi-package-variant-closed{
					background: #333;
				}
			}
		}

		.item-label{
			background: #ddd;
			font-size: 0.8rem;
			padding: 1px 6px;
		    display: none;
		    margin-left:5px;
		    border-radius:$border-radius;
		    color:#777;
		}

	}
	.suggestion-actions{
		display: none;
		position: absolute;
		right:37px;
		top:22px;
		.btn-secondary{
			background:#ddd;
		}
	}
}

.suggestion-list-group-more-button{
	margin:.7rem 0 2rem 3.6rem;
	color:#777;
}

.spot-enlighter-object-dropdown {
	position: absolute;
	right: 0px;
	height: 40px;
	line-height: 40px;
	margin-top: 7px;
	display: none;

	.popup-menu-list{
		position: absolute;
	}

	.popup-menu-list-item-button,
	> button{
		@include button-reset();
	}
	
	> button{
		padding:0 35px 0 10px;
		position: relative;
		.mdi{
			position: absolute;
			right:10px;
			top:50%;
			margin-top:-10px;
			font-size:1.3rem;
		}
	}
	.popup-menu-list-item-button{
		zs-icon{
			vertical-align: middle;
			display: inline-block;
		}
		.mdi{
			font-size:1.3rem;
			margin-right:7px;
		}
	}
	.popup-menu-button-label{
		display: none;
	}
}

@media #{$medium-and-up} {
	zs-spot-enlighter-suggestion-list{
		.suggestion{
			.item-label{
				display: inline-block;
			}
			.suggestion-text{
				padding: 1.2rem 0;
			}
			.suggestion-text-title{
				font-size:1.1rem;
			}
			.suggestion-text-description{
				font-size:1rem;
			}
			> zs-icon{
				.mdi {
					width:$spot-enlighter-icon-size;
					height:$spot-enlighter-icon-size;
					line-height: $spot-enlighter-icon-size;
				}
			}
		}
		.suggestion-actions{
			display: block;
		}
	}
	.top-bar-highlighted .spot-enlighter-highlight {
		.spot-enlighter-back{
			background:inherit;
			left:.333rem;
			&:hover,
			&:focus{
				background: rgba(0,0,0,0.15);
				outline-width:0;
			}
		}
		.spot-enlighter-input-container,
		.spot-enlighter-container{
			width: 80%;
		}
	}
	.spot-enlighter-object-dropdown {
		.popup-menu-button-label{
			display: block;
		}
	}
}

@media #{$large-and-up} {
	.spot-enlighter-container{
		width: 20rem;
		margin-right:.75rem;
	}
	.spot-enlighter-input-container{
		.spot-enlighter-input{
			background: rgba(255,255,255,.15);
		}
		.spot-enlighter-icon{
			opacity: .8;
			zs-icon .mdi:hover{
				background:transparent;
				cursor:text;
			}
		}

	}
	.top-bar-highlighted .spot-enlighter-highlight {
		.spot-enlighter-input-container{
			.spot-enlighter-input{
				background:#fff;
			}
		}
		.spot-enlighter-input-container,
		.spot-enlighter-container{
			width: 65%;
		}
	}
}

@media #{$large-only} {
	.top-bar-highlighted .spot-enlighter-highlight {
		.spot-enlighter-input-container,
		.spot-enlighter-container{
			width: 55%;
		}
	}
}


// spotenlighter active

.top-bar-highlighted{
	&.top-bar{
		padding:0;
	}
	.top-bar-customer,
	.top-bar-action-container{
		display: none;
	}
}

// spotenlighter active old system

.top-bar-expanded{
	zs-top-bar{
		position: static;
	}
	#contentwrapper{
		overflow: hidden;
	}
}
